Authentication result
POST
https://api.forter-secure.com/v2/accounts/authentication-result/{id}
idstring
acceptstringGenerated from available response content types
api-versionstringSpecify the version of the API to target.
x-forter-siteidstring<p>Forter-assigned ID for your account. Note that your Site ID for your test site is different from your production site.</p>
bodyobject<p>Inform of authentication results after an attempted login or profile access request, using the provided correlation ID. While no decision is provided on this request, it improves the decision model for login and access.</p>
200Example adaptiveAuthAccountsResponse
400<p>Bad Request (Often missing a required parameter)</p>
401<p>Unauthorized (No valid API key provided)</p>
404<p>Not Found (The requested item doesn't exist)</p>
500<p>Server Error (Something went wrong on Forter's end)</p>
curl --request POST \
--url https://api.forter-secure.com/v2/accounts/authentication-result/{id} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'api-version: 10.3' \
--header 'x-forter-siteid: a1b2c3d4e5f6' \
--data-raw '{
"accountId": "e520-ba9a-367-60b",
"additionalAuthenticationMethod": {
"correlationId": "HGJ7512345H3DE",
"documentVerification": {
"documentSource": "UPLOADED_FILE",
"documentType": "Passport",
"documentVerificationServiceResponsePayload": {}
},
"emailVerification": {
"email": "[email protected]",
"emailVerification": {
"sent": true,
"verified": false
}
},
"oneTimePasswordVerification": {
"verificationMethod": "Google Authenticator",
"verified": false
},
"paymentInstrumentVerification": {},
"phoneVerification": {
"phone": "15557654321",
"smsVerified": {
"sent": true,
"verified": false
}
},
"verificationOutcome": "SUCCESS"
},
"additionalInformation": {},
"bankTransferVerificationResults": {
"paymentGatewayData": {}
},
"connectionInformation": {
"customerIP": "10.0.0.127",
"userAgent": "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.73 Safari/537.36"
},
"eventTime": 1415287568000,
"merchantIdentifiers": {},
"paymentAuthorizationResults": {
"external3dsVendorPayload": {}
},
"paypalVerificationResults": {
"fullPaypalResponsePayload": {},
"payerEmail": "[email protected]",
"payerId": "FD000A45P",
"paymentGatewayData": {}
}
}'